Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface B2BConfigMBean

All Superinterfaces:
  B2BBaseMBean, weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface B2BConfigMBean
extends B2BBaseMBean

The B2B interface represents the WebLogic B2B Integration. It acts as a factory for all other mbeans.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getAuditLogClass()` Gets the audit log class name.
`String` | `getCertificateVerificationClass()` Gets the certification verification class name.
`String` | `getProxyHost()` Gets the proxy host of the WebLogic B2B Integration.
`String` | `getProxyPort()` Gets the proxy port of the WebLogic B2B Integration.
`String` | `getSecureTimestampClass()` Gets the secure timestamp class name.
`void` | `refreshKeyStores()` Refresh Keystores
`void` | `setAuditLogClass(String name)` Sets the audit log class name.
`void` | `setCertificateVerificationClass(String name)` Sets the certificate verification class name.
`void` | `setProxyHost(String host)` Sets the proxy host of the WebLogic B2B Integration.
`void` | `setProxyPort(String port)` Sets the proxy port of the WebLogic B2B Integration.
`void` | `setSecureTimestampClass(String name)` Sets the secure timestamp class name.
`void` | `update()` Update the configuration for WebLogic B2B Integration server.
`void` | `updateAll(String proxyHost, String proxyPort, String certificateVerificationClass, String auditLogClass, String secureTimestampClass)` Update all the configuration for WebLogic B2B Integration server.

Methods inherited from interface com.bea.wli.management.configuration.B2BBaseMBean
`clone, delete, fromXML, getDelegateObject, publish, setDelegateObject, toXML, toXMLInternal, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getProxyHost

    public String getProxyHost()

  Gets the proxy host of the WebLogic B2B Integration.

  Returns:
    String - proxy host of the WebLogic B2B Integration.

### setProxyHost

    public void setProxyHost(String host)

  Sets the proxy host of the WebLogic B2B Integration.

  Parameters:
    `host` - proxy host for the WebLogic B2B Integration.

### getProxyPort

    public String getProxyPort()

  Gets the proxy port of the WebLogic B2B Integration.

  Returns:
    String - proxy port of the WebLogic B2B Integration.

### setProxyPort

    public void setProxyPort(String port)

  Sets the proxy port of the WebLogic B2B Integration.

  Parameters:
    `port` - proxy port for the WebLogic B2B Integration.

### getCertificateVerificationClass

    public String getCertificateVerificationClass()

  Gets the certification verification class name.

  Returns:
    String - certificate verification class name.

### setCertificateVerificationClass

    public void setCertificateVerificationClass(String name)

  Sets the certificate verification class name.

  Parameters:
    `name` - certificate verification class name.

### getAuditLogClass

    public String getAuditLogClass()

  Gets the audit log class name.

  Returns:
    String - audit log class name.

### setAuditLogClass

    public void setAuditLogClass(String name)

  Sets the audit log class name.

  Parameters:
    `name` - audit log class name.

### getSecureTimestampClass

    public String getSecureTimestampClass()

  Gets the secure timestamp class name.

  Returns:
    String - secure timestamp class name.

### setSecureTimestampClass

    public void setSecureTimestampClass(String name)

  Sets the secure timestamp class name.

  Parameters:
    `name` - secure timestamp class name.

### refreshKeyStores

    public void refreshKeyStores()

  Refresh Keystores

### update

    public void update()
                throws B2BConfigurationException

  Update the configuration for WebLogic B2B Integration server.

  Specified by:
    `update` in interface `B2BBaseMBean`
  Throws:
    `B2BConfigurationException` - If an error occurred during update.

### updateAll

    public void updateAll(String proxyHost,
                          String proxyPort,
                          String certificateVerificationClass,
                          String auditLogClass,
                          String secureTimestampClass)
                   throws B2BConfigurationException

  Update all the configuration for WebLogic B2B Integration server.

  Throws:
    `B2BConfigurationException` - If an error occurred during update.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD